20200216 
  外部bucketから取り込む際のバグ修正
  phplib/crawl/pullthread.php

20181028
  may板広告位置変更によりレス全体がコメントアウトされる問題に対応
  phplib/crawl/pget.php の差し替えが必要

20160904
  ddosにより変更されたmay,避難所の画像アドレス形式に対応
  http:抜きのアドレスに対応

20160210
  php4での構文エラー対策
  cron_getの多重実行防止をwindowsにも対応
  ダウンロードブロックのサイズ変更(4k->256k)
  zipファイルの即削除機能(ZIPIMDEL)の削除
  短縮URLの向き先をダウンロードページからログ本体へ
  検索時のURLマッチングの高速化
  2/4のレイアウト変更への暫定対応
  ソーシャルボタン追加
  メール覧のベタテキスト化

20160119
  スマホで画像つきレスを見やすくする
  コンテンツに混ぜるスクリプトをheader.txt,footer.txtに分割

20160106
  PHP5.3以降でのhttp_request2の利用を追加

20160104
  タグ名のwebm板対応
  REMOTEROOTからの取り込みの最適化
  内部データバージョン 00.06.27に更新

20151229
  cron_del.phpにてlock/ zip/ l/ フォルダのクリーニング機能追加
  表示順の切り替え機能の追加
  ダウンロードしたzipの即削除機能追加
  カタログモードのスマホ対応
  板タグの優先表示
  zipモジュールが無い場合のログ取り込み対応
  画像以外はlightboxの無効化(webm板対応)

20151119
  ログから[トップに戻る]リンク追加
  ふたぼクローラの更新
  一覧,カタログ等の表示モード変更時に検索条件を引き継ぎ
  メインデータストアのデフォルトをchunkfile,msgpackなしに統一
  l/のリンクファイルの掃除

20150928
  sqlite3のトランザクション高速化
  downloadページレイアウトを若干変更
  自己ログブックマークに対応
  一覧モードの更新/削除の削除
  ストック削除の動作を変更
  cron_getの多重実行防止(windows以外)
  chunkfileの警告修正

20150928
  sqlite3のトランザクション高速化
  minicatalogパラメータを削除
  メタデータの再構築パラメータを追加

20150920
  iframe型の広告削除機能追加
  5.3以降のhttp_clientの変更
  sqlite3のdaoのバグ修正
  json系のキャッシュ機能の削除
  スレ番号のケタ上がり時の自動追跡優先度設定バグ修正

20150901
  不要なロック処理の削除
  DB設定の永続化

20150731
  php4向け高速データストアchunkfileの実装
  キャッシュ関連の最適化と修正等。

20150725
  小型カタログのレイアウト追加
  cron_getの回収対象をカタログの古い順からn件のみに変更
  Logaster製ロゴの追加
  ストック状態を削除する機能の追加

20150613
  ページ移動時にブックマークレットのURL転送に対応
  絵被検索の高速化
  双葉写本->FTBucketに改名
  "cont/"を読み取り専用にするオプション追加

20150529
  一覧ページ表示の高速化(is_file等の削除/全件readの高速化)
  データマイグレーションのバグ修正と高速化
  phplib/ フォルダ配下の整理
  画像フォルダ(img/ thumb/)の重複排除機能追加
  画像被り検索の追加

20150505
  sqliteのfts3拡張を利用する全レス検索エンジンの追加
  キャッシュファイルをlz4圧縮する仕様を追加
  サムネ画像なしの場合に表示する画像を追加

20150419
  前回削除していたSIO_LOCK設定項目の復活
  全レス検索をElasticsearchからsqlite3のみに切り替え
    PHP5環境なら利用できるように修正
  検索時にファイル数による絞込機能の追加
  IO節約のためスレ生存中のDLはオンザフライのみに変更
  購読中の親写本のログのURLから登録可能に変更
  PHP5.4以降でワーニングが表示される問題に対応

20150311
  0.6.10(20150218版)の細かいバグ修正
    PHP4で0.6.10が動作しないバグの修正
    ベイジアンフィルタ関連のロック方法の修正
    メタデータのないcont/配下フォルダの削除追加

20150218
  メタデータ保存先にQDBM,Sqlite3もサポート(利用可能なら旧形式から自動変換)
  データの一括マイグレーションの仕組みを追加(設定によりHTMLの再変換可)
  カタログモードの表示画像を設定可能に変更

20150208
  一覧で「ストックのみ/全件」と「一覧/カタログ」の表示モードの初期値を保持
  空文字をタグに登録出来る点を修正
  塩等の添付画像の[見る]でカーソルがpointerに変わるように修正

20150206
  cron_get.phpでのキャッシュ更新を追加

20150204
  読み取り専用の親写本を指定する機能を追加

20150130
  連続更新時のエラー表示に対応
  削除済みスレのフォルダが残る問題に対応(cron_del.php)
  ベイジアンフィルタの高速化
  タグ予測を一覧に変更
  ログからダウンロードページへのリンク追加
  一覧処理(index.php/json_api.php)でキャッシュ対応による高速化
  タグ入力のajax化(index.php)
  「お気に入り」機能をセッションなしで再実装
  自己入力タグの削除機能の追加(ホスト名で判断)

20150106
  json_apiのメタデータ出力の修正
  共通フッタの追加(common-footer.tpl)
  二次元画像詳細検索との連動(firefoxのみ)
  画像レスのみ/全レス の表示切り替えの追加
  画像検索器との連動機能追加(firefoxのみ)

20141220 版
  ユーザーサイドでレンダリングする一覧ページ(listup.htm)の追加
  機械学習での自動タグ予測を追加
  塩辛ban対策コードのバグフィックス
  役所避難所向けのカスタマイズサンプルの追加
  etc...

20141030 版
  コンテンツ量計算をスレ取得時に修正
  admin.phpページャ追加
  index.php等の「削除」ボタンを誤登録削除可能の時のみ表示
  pvivateモード削除
  親写本指定時のログ再加工機能を追加
    加工前のindex.htmをother/index.htm.gzとして保存
    otherフォルダは常時作成されるように変更
    ログ加工が親側に依存せず子側の設定で行われるようようになった
  PHP4でのget_headersをGETからHEADクエリに修正
  Elasticsearchでの全文検索に対応
  LIGHTBOXをデフォルトでoffに変更
  カタログ画像の無いスレッドでカタログ画像の多重取得の回避
  取得指定時のURLをtrim()するように修正
  カタログ表示時にレス全文をツールチップに表示するよう修正

20140929 版
  メタデータの直接編集ページを作成(editmeta.php)
  ファイル取得のKeep-Alive対応(HTTP_Request)
  タグ一覧機能の追加
  検索時のand or検索機能の追加
  板名を自動でタグ付け機能の追加
  ログのカタログモード追加
  ふたばのカタログ画像取得
  json/ フォルダの追加
  親写本指定時には初回も差分も親から取得する
  一覧レイアウトをスマホ向けに調整
  塩瓶等の添付画像の[見る]機能の追加
  other/ファイル一覧をスレ末尾に書き出し

20140916 版
  親写本から受け取ったzip解凍方法を外部コマンドからphpモジュールに変更
  連絡機能にメール送信(mb_send_mail)追加
  json_apiでng指定メソッド追加
  json_apiで構成ファイル取得メソッド追加
  PHP4でのget_headersのua追加 (塩瓶の富山対応)
  取得スレの削除されたレスの表示非表示機能の有効化

20140912 版
  親写本指定の追加
  ログローテートの実装
  富山対策の再実装(塩瓶対応)
  オンザフライダウンロードの追加

20140906 版
  テンプレートでの文字コードエラー対応として
  UTF-8化

20140905 版
  更新/削除ボタンの説明文の追加

20140904 版
  ビュー/テンプレート 分離
  "連絡"ページの追加

20140822 版(0.5.16)
  大型画像のlightbox対応
  塩瓶リンク処理をbody以降に修正
  読み飛ばしたファイルをログ出力

20140815 版(0.5.15)
  index.phpのxss対策
  USEZIP=falseの場合のdownload.phpの表示変更
  富山対策で塩瓶から画像取得できなくなっていた問題の修正

20140809 版(0.5.14)
  短縮URL機能追加
  画像の富山対策
  タグ制限機能/削除機能の追加

20140803 版(0.5.13)
  スレ検索/タグ追加時にタグの自動補完機能を追加
  IMGDIR_SYNC設定の追加
  et.phpのデバック出力のバグ修正

20140731 版(0.5.12)
  ajax向けjson_apiの追加
  サムネが無い場合の表示修正
  検索タグ機能の追加

20140728 版(0.5.11)
  改行コード統一(CR+LF)
  初回登録者情報(IP,リモホ,クッキーID)の記録
  アクセス規制(blacklist.php)の追加
  初回登録者情報を隠すためindex.phpからdebugキーの削除
  スレッドの画像数計算を表示分のみに修正
  一括削除用の管理ページの追加

20140726 版
  404判定後の再チェック処理のやり方を修正
  preg_系関数のエンコーディング指定等の対策

20140725 版
  削除基準時間を３通りに設定可能に変更
  remove.phpの削除時の警告対策
  index.phpのサムネサイズ修正
  zip/mhtファイルの定時削除スクリプトの追加
  キャッシュコンテンツのリンク修正
  スレッドから削除済みの画像をキャッシュからも削除する処理の追加
  metaフォルダの不可視化(.htaccessの追加のみ)
  ファイル数カウントを img/ other/ フォルダ配下の合計に変更
  download.php で更新/削除 指示が可能に
  remove.php で削除対象キャッシュのリンクを追加
  スレッドが404判定になった場合も
    最終更新成功から一定時間以内はurlの再チェックを行う修正
  meta/フォルダ配下のファイルが不正になった場合の暫定処置の追加

20140715 版
  [ホーム]と[掲示板に戻る]のリンク削除


20140708 版
  定時削除基準に初回登録時刻と最終更新時刻を選択可能に修正
    初回登録時から72時間で自動削除といった運用向け
    デフォルトは最終更新時刻
  PHP4 での塩瓶取得対応(暫定版)


20140706 版
  フォルダ構造の変更
  メタデータ保存形式にjsonを追加
  ダウンロードページの追加
    zip生成の遅延化(dl指定時に生成)
      定期巡回時のIOコスト低減
    mhtファイル生成機能の追加
    ダウンロードファイル名指定の追加
    
    IOコストと容量の問題が解消したため
    ZIPダウンロードフラグをfalseにする理由が薄くなりました

20140630 版
  削除時のダイアログ追加
  privateモード(自己登録スレッドのみ表示を強制)の追加
  １レス目にurl変換対象が来ている場合のメタファイル内容の修正

20140621 版
  スレッド情報の保存先をクッキーからセッションに切り替え
  zipダウンロードをメインにする設定を追加
  設定ファイルの説明を追加

20140617 版
  クッキー利用による
  自己登録スレッドのみ表示する機能を追加

20140615 版
  スレッド取得時に経過状況の表示

20140601 版
  外部板からのリソース取得を追加
  URLの自動リンクの追加

20140530 版
  画像保存ファイル名をurlから元ファイル名に変更

20140525 版
  検索フォームの追加
  更新ボタン連打対策の追加
  
20140518 版
  ログファイルの返信フォーム/広告の削除

20140513 版
  IE8以前の場合相対URL参照が間違っているバグに対応

20140507_2 版
  レス数 / データ容量 を表示するように修正

20140507 版
  最大保持件数を超えた場合
  スレッドを削除するように修正

20140506 版
  zip モジュールをマージし
  外部pg無しでzip作成に対応
  ライセンスの追加
  ページャーの実装

20140505 版
  xampp/php4環境で動作するように修正

20140501 版
  一部バグの修正
  
20140430 版
  ふたばスクラップのソースよりブランチ
